﻿#pragma warning disable IDE0130 // Namespace does not match folder structure
namespace Firefly
#pragma warning restore IDE0130 // Namespace does not match folder structure
{
    // Define FireflyData class to fix the missing type reference
    /// <summary>
    /// Container class for all Firefly database data used in serialization and backup operations.
    /// </summary>
    public class FireflyData
    {
        /// <summary>
        /// Dictionary containing all string key-value pairs stored in the database.
        /// </summary>
        public Dictionary<string, string> StringStore { get; set; } = [];
        
        /// <summary>
        /// Dictionary containing all lists stored in the database.
        /// </summary>
        public Dictionary<string, List<string>> ListStore { get; set; } = [];
        
        /// <summary>
        /// Dictionary containing all hash tables stored in the database.
        /// </summary>
        public Dictionary<string, Dictionary<string, string>> HashStore { get; set; } = [];
        
        /// <summary>
        /// Timestamp when the backup was created.
        /// </summary>
        public DateTime BackupTime { get; init; } = DateTime.Now;
    }
}